org.bouncycastle.openpgp.examples.test

## Class AllTests

- java.lang.Object
- - TestCase
  - - org.bouncycastle.openpgp.examples.test.AllTests

    public class AllTests
    extends TestCase

### Constructor Summary

Constructors
Constructor and Description
`AllTests()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`void` `setUp()`
`static Test` `suite()`
`void` `tearDown()`
`void` `testClearSigned()`
`void` `testClearSignedBogusInput()`
`void` `testDSAElGamaleKeyGeneration()`
`void` `testPBEEncryption()`
`void` `testRSAKeyGeneration()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AllTests

    public AllTests()

### Method Detail

#### setUp

    public void setUp()
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### tearDown

    public void tearDown()

#### testRSAKeyGeneration

    public void testRSAKeyGeneration()
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testDSAElGamaleKeyGeneration

    public void testDSAElGamaleKeyGeneration()
                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testPBEEncryption

    public void testPBEEncryption()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testClearSigned

    public void testClearSigned()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testClearSignedBogusInput

    public void testClearSignedBogusInput()
                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### main

    public static void main(java.lang.String[] args)

#### suite

    public static Test suite()